Echo.EchoLevel (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Echo, class: EchoLevel

# Class Echo.EchoLevel

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.LogLevel
org.apache.tools.ant.taskdefs.Echo.EchoLevel

Enclosing class:
  `Echo`

public static class Echo.EchoLevel extends LogLevel
The enumerated values for the level attribute.

Since:
  Ant 1.1

- ## Field Summary

  ### Fields inherited from class LogLevel

  `DEBUG, ERR, INFO, VERBOSE, WARN`
  Modifier and Type
  Field
  Description
  `static final LogLevel`
  `DEBUG`
  DEBUG loglevel constant.
  `static final LogLevel`
  `ERR`
  ERR loglevel constant.
  `static final LogLevel`
  `INFO`
  INFO loglevel constant.
  `static final LogLevel`
  `VERBOSE`
  VERBOSE loglevel constant.
  `static final LogLevel`
  `WARN`
  WARN loglevel constant.

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EchoLevel()`

- ## Method Summary

  ### Methods inherited from class LogLevel

  `getLevel, getValues`
  Modifier and Type
  Method
  Description
  `int`
  `getLevel()`
  get the level of the echo of the current value
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EchoLevel

    public EchoLevel()